umbrello 2.39.2 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

- Main Page
- Related Pages
- Topics
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

- All
- Functions
- Variables
- Typedefs
- Enumerations
- Enumerator
- Properties
- Related Symbols

- _
- a
- b
- c
- d
- e
- f
- g
- h
- i
- j
- k
- l
- m
- n
- o
- p
- q
- r
- s
- t
- u
- v
- w
- x
- y
- z
- ~

Here is a list of all class members with links to the classes they belong to:

### - n -

- Name : Properties
- name() : AssociationWidget, ClientInfo_POD, DontAskAgainItem, IdString, PetalNode, Properties, UMLDoc, UMLObject, UMLScene, UMLStereotype::AttributeDef, UMLStereotype, WidgetBase
- NameAndType() : Model_Utils::NameAndType
- nameL : ActivityDialog::GeneralPageWidgets, ObjectNodeDialog::GeneralPageWidgets, StateDialog::GeneralPageWidgets, UMLForeignKeyConstraintDialog::GeneralWidgets
- nameLE : ActivityDialog::GeneralPageWidgets, ObjectNodeDialog::GeneralPageWidgets, StateDialog::GeneralPageWidgets
- nameT : UMLForeignKeyConstraintDialog::GeneralWidgets
- NameValue : PetalNode
- NameValueList : PetalNode
- nameWidget() : AssociationWidget
- NativeImportBase() : NativeImportBase
- Neg : CombinedFragmentWidget
- Never : CodeGenerationPolicy
- newANTCodeDocument() : JavaCodeGenerator
- newCheckConstraintAction : ConstraintListPage
- newClassifierCodeDocument() : AdvancedCodeGenerator, CPPCodeGenerator, DCodeGenerator, JavaCodeGenerator, RubyCodeGenerator
- newCodeBlock() : CodeDocument, CodeGenObjectWithTextBlocks, HierarchicalCodeBlock
- newCodeBlockWithComments() : CodeDocument, CodeGenObjectWithTextBlocks, HierarchicalCodeBlock
- newCodeComment() : CPPHeaderCodeDocument
- newcodegen : Settings::GeneralState
- newcodegenCB : GeneralOptionPage::GeneralWidgets
- newDiagram : UMLApp
- newDocument() : UMLApp, UMLDoc
- newForeignKeyConstraintAction : ConstraintListPage
- newHeaderClassifierCodeDocument() : CPPCodeGenerator
- newHierarchicalCodeBlock() : CodeDocument, CodeGenObjectWithTextBlocks, HierarchicalCodeBlock, JavaANTCodeDocument
- newLineToInteger() : CodeGenOptionsPage
- NewLineType : CodeGenerationPolicy
- newMakefileCodeDocument() : CPPCodeGenerator
- newMenu() : ListPopupMenu
- newPrimaryKeyConstraintAction : ConstraintListPage
- newUniqueConstraintAction : ConstraintListPage
- newWidget() : ToolBarStateOther
- next() : ClassWizard
- No : CodeGenerationPolicy, OverwriteDialog
- node : PetalNode::StringOrNode
- NodeType : LayoutGenerator, PetalNode
- NodeWidget() : NodeWidget
- NoexceptMethod() : ConstNoexceptMethodClass
- NONE : CodeGenerationPolicy
- None : CodeGenerationPolicy, Symbol, UMLEntityAttribute
- nonEditBlockColor : Settings::CodeViewerState
- nonInlinedMethod() : InlinedMethod
- NoOption : UMLWidget
- Normal : ActivityWidget, NoteWidget, ObjectNodeWidget, StateWidget
- NormalMessage : ToolBarStateMessages
- NormalRB : ActivityDialog::GeneralPageWidgets
- NoteDialog() : NoteDialog
- NotePage() : NotePage
- NoteType : NoteWidget
- noteType() : NoteWidget
- NoteWidget() : NoteWidget
- NotFound : UMLFinder
- NotGrouped : StatusBarToolButton
- notifyParentResize() : PinPortBase, UMLWidget
- notNullConstraint : SQLImport::ColumnConstraints, SQLImport::TableConstraints
- nrof_parent_widgets : UMLAssociation
- nt_list : PetalNode
- nt_object : PetalNode
- NullID : IDChangeLog
- number : SomeType